curl --request PATCH \
--url https://openapi.enginy.ai/v1/tasks/{taskId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"type": "<string>",
"subject": "<string>",
"description": "<string>",
"assignedId": 123,
"notes": "<string>",
"ownerId": "<string>",
"dueDate": "<string>"
}
'import requests
url = "https://openapi.enginy.ai/v1/tasks/{taskId}"
payload = {
"type": "<string>",
"subject": "<string>",
"description": "<string>",
"assignedId": 123,
"notes": "<string>",
"ownerId": "<string>",
"dueDate": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
subject: '<string>',
description: '<string>',
assignedId: 123,
notes: '<string>',
ownerId: '<string>',
dueDate: '<string>'
})
};
fetch('https://openapi.enginy.ai/v1/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.enginy.ai/v1/tasks/{taskId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'type' => '<string>',
'subject' => '<string>',
'description' => '<string>',
'assignedId' => 123,
'notes' => '<string>',
'ownerId' => '<string>',
'dueDate' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://openapi.enginy.ai/v1/tasks/{taskId}"
payload := strings.NewReader("{\n \"type\": \"<string>\",\n \"subject\": \"<string>\",\n \"description\": \"<string>\",\n \"assignedId\": 123,\n \"notes\": \"<string>\",\n \"ownerId\": \"<string>\",\n \"dueDate\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://openapi.enginy.ai/v1/tasks/{taskId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"<string>\",\n \"subject\": \"<string>\",\n \"description\": \"<string>\",\n \"assignedId\": 123,\n \"notes\": \"<string>\",\n \"ownerId\": \"<string>\",\n \"dueDate\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.enginy.ai/v1/tasks/{taskId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"<string>\",\n \"subject\": \"<string>\",\n \"description\": \"<string>\",\n \"assignedId\": 123,\n \"notes\": \"<string>\",\n \"ownerId\": \"<string>\",\n \"dueDate\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {
"success": true,
"appUrl": "<string>"
}
}Update task
Update an existing task. Send the task text in description; notes is legacy, for call notes on call tasks. In workspaces that sync tasks with their CRM, notes sent without description on a non-call task is stored as its description, and a notes-only update never replaces an existing description.
Responses include direct Enginy app URLs when available. Responses include an appUrl that opens the updated task in Enginy. MCP agents should return those URLs to users whenever they are present in the response.
Required scope:
TASKS_WRITERate limit: 30 requests per minute
curl --request PATCH \
--url https://openapi.enginy.ai/v1/tasks/{taskId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"type": "<string>",
"subject": "<string>",
"description": "<string>",
"assignedId": 123,
"notes": "<string>",
"ownerId": "<string>",
"dueDate": "<string>"
}
'import requests
url = "https://openapi.enginy.ai/v1/tasks/{taskId}"
payload = {
"type": "<string>",
"subject": "<string>",
"description": "<string>",
"assignedId": 123,
"notes": "<string>",
"ownerId": "<string>",
"dueDate": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
subject: '<string>',
description: '<string>',
assignedId: 123,
notes: '<string>',
ownerId: '<string>',
dueDate: '<string>'
})
};
fetch('https://openapi.enginy.ai/v1/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.enginy.ai/v1/tasks/{taskId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'type' => '<string>',
'subject' => '<string>',
'description' => '<string>',
'assignedId' => 123,
'notes' => '<string>',
'ownerId' => '<string>',
'dueDate' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://openapi.enginy.ai/v1/tasks/{taskId}"
payload := strings.NewReader("{\n \"type\": \"<string>\",\n \"subject\": \"<string>\",\n \"description\": \"<string>\",\n \"assignedId\": 123,\n \"notes\": \"<string>\",\n \"ownerId\": \"<string>\",\n \"dueDate\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://openapi.enginy.ai/v1/tasks/{taskId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"<string>\",\n \"subject\": \"<string>\",\n \"description\": \"<string>\",\n \"assignedId\": 123,\n \"notes\": \"<string>\",\n \"ownerId\": \"<string>\",\n \"dueDate\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.enginy.ai/v1/tasks/{taskId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"<string>\",\n \"subject\": \"<string>\",\n \"description\": \"<string>\",\n \"assignedId\": 123,\n \"notes\": \"<string>\",\n \"ownerId\": \"<string>\",\n \"dueDate\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {
"success": true,
"appUrl": "<string>"
}
}Authorizations
Path Parameters
^\d+$Body
The task text. For call tasks, the call instructions. On other tasks, in workspaces that sync tasks with their CRM, a blank or null value sent without notes also clears notes.
Legacy. For call tasks, the call notes. For other tasks, prefer description. In workspaces that sync tasks with their CRM, a value sent here without description is stored as the description, and a blank one is ignored; it never replaces an existing description, and is then stored as notes.
LOW, MEDIUM, HIGH, null